#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.2
visibility:           public
id:                   tree-diff-0.2-1xcYVrhwpiFygut7P2ocn
key:                  tree-diff-0.2-1xcYVrhwpiFygut7P2ocn
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  43ef66199fc7953936014ea047973fa6
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-8.10.5/site-local/tree-diff-0.2
library-dirs:         /usr/lib/ghc-8.10.5/site-local/tree-diff-0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/tree-diff-0.2
hs-libraries:         HStree-diff-0.2-1xcYVrhwpiFygut7P2ocn
depends:
    QuickCheck-2.14.2-AlBcjlnVb6HBYuJ8lOviFD
    aeson-1.5.6.0-CVfeYccFVpdCde0UrZZZdZ
    ansi-terminal-0.11-366lZebL4UKAFopo4Q1x1i
    ansi-wl-pprint-0.6.9-18xfpSFHwXcSLsLHaSUhO base-4.14.2.0
    base-compat-0.11.2-Eyusxyk2CrTGloLdon9bIK bytestring-0.10.12.0
    containers-0.6.4.1 deepseq-1.4.4.0
    hashable-1.3.2.0-GpzwVyCMdDv8NwdC61S1EE parsec-3.1.14.0
    parsers-0.12.10-BMaDGU0UZ32IYwApQumZx4 pretty-1.1.3.6
    primitive-0.7.1.0-H44eQ1j8hQJ3Kj2SFx0Ivh
    scientific-0.3.7.0-Fi0gRGhsiJ35wgbCjOXuHX
    semialign-1.2-DVaJvhv6RFh78Zehoi9eAW
    strict-0.4.0.1-8eEOXek3COB3p1dAv4zUxt
    tagged-0.8.6.1-F25vmSN4H5fEaMJYsLgYMV text-1.2.4.1
    these-1.1.1.1-JbK2EDkrFun4BBv3Tu20Mh time-1.9.3
    unordered-containers-0.2.14.0-JpdjDmlqBJN4PAu3jIj4Ya
    uuid-types-1.0.5-BD8YLQbwrdV1wSNOkK6P8E
    vector-0.12.3.0-K9OZS5OCy7cE2QKQqSO9mp

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

